Package de.gebit.integrity.dsl

## Interface NamedCallResult

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `NamedCallResultImpl`

      public interface NamedCallResult
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Named Call Result'.

  The following features are supported:

  - `Name`
  - `Target`
  See Also:
    `DslPackage.getNamedCallResult()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResultName` | `getName()` | Returns the value of the 'Name' containment reference.
    `VariableVariable` | `getTarget()` | Returns the value of the 'Target' containment reference.
    `void` | `setName​(ResultName value)` | Sets the value of the '`Name`' containment reference.
    `void` | `setTarget​(VariableVariable value)` | Sets the value of the '`Target`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          ResultName getName()

      Returns the value of the 'Name' containment reference.
      Returns:
        the value of the 'Name' containment reference.
      See Also:
        `setName(ResultName)`, `DslPackage.getNamedCallResult_Name()`

    - #### setName

          void setName​(ResultName value)

      Sets the value of the '`Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Name' containment reference.
      See Also:
        `getName()`

    - #### getTarget

          VariableVariable getTarget()

      Returns the value of the 'Target' containment reference.
      Returns:
        the value of the 'Target' containment reference.
      See Also:
        `setTarget(VariableVariable)`, `DslPackage.getNamedCallResult_Target()`

    - #### setTarget

          void setTarget​(VariableVariable value)

      Sets the value of the '`Target`' containment reference.
      Parameters:
        `value` - the new value of the 'Target' containment reference.
      See Also:
        `getTarget()`